
if [ -z "`grep minidlna /etc/group`" ]; then
  groupadd -g 222 minidlna
fi
if [ -z "`grep minidlna /etc/passwd`" ]; then
  useradd -u 222 -g 222 -d /var/cache/minidlna -s /bin/bash -c "MiniDLNA Account" minidlna
fi

#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/minidlna.conf.new
